This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434144 - haproxy failed massrebuild attempt for GCC 4.3
haproxy failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: haproxy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Hinegardner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 08:09 EST by Jesse Keating
Modified: 2013-01-09 21:58 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.14.2-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 16:04:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:09:59 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=440018
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-26 07:12:33 EST
Errors in x86_64 build.log

In file included from /usr/include/linux/netfilter_ipv4.h:8,
                 from include/common/compat.h:66,
                 from src/haproxy.c:64:
/usr/include/linux/netfilter.h:41: error: expected specifier-qualifier-list
before '__be32'
In file included from include/common/compat.h:66,
                 from src/haproxy.c:64:
/usr/include/linux/netfilter_ipv4.h:53: error: 'INT_MIN' undeclared here (not in
a function)
/usr/include/linux/netfilter_ipv4.h:63: error: 'INT_MAX' undeclared here (not in
a function)
In file included from /usr/include/linux/netfilter_ipv4.h:8,
                 from include/common/compat.h:66,
                 from include/types/acl.h:25,
                 from include/types/proxy.h:38,
                 from include/proto/log.h:32,
                 from src/standard.c:24:
/usr/include/linux/netfilter.h:41: error: expected specifier-qualifier-list
before '__be32'
In file included from /usr/include/linux/netfilter_ipv4.h:8,
                 from include/common/compat.h:66,
                 from include/types/acl.h:25,
                 from include/types/proxy.h:38,
                 from include/types/session.h:36,
                 from src/log.c:32:
/usr/include/linux/netfilter.h:41: error: expected specifier-qualifier-list
before '__be32'
Comment 2 Jeremy Hinegardner 2008-02-26 10:58:43 EST
I have a patch to fix it, sent it to the haproxy developer to see if it meets
with his approval.  I would imagine there will be a new release of haproxy or
I'll package the patch with the src rpm.

Note You need to log in before you can comment on or make changes to this bug.